# import os
# os.chdir('../../../')

from datasets.utils import *
from experiment.table1.experiment_run import run_experiment

if __name__ == "__main__":
    epsilon = 8 / 255
    model_name = "ViT-L_32"
    dataset_in_name = "cifar100"
    dataloader_train_in = get_trainloader_cifar100(image_size=224, batch_size=32)
    seed = 2022

    run_experiment(epsilon, model_name, dataset_in_name, dataloader_train_in, seed, image_size=224, batch_size=32, adv_model=False, total_batches=15*4)